<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS Directives</title>
      
      <!-- AngularJs Javascript File -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      
      <!-- Bootstrap Css -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">          
   </head>
   <body>
      <div id="angularJsDirectives" class="container">
         <h1 align="center" class="text-primary">AngularJS - Directives Example</h1>
         <hr />
         <div ng-app="">
         	<!-- EXAMPLE 1 -->
         	<h3 class="text-warning"><ins>ng-model</ins></h3>
         	<div id="model">
				<input type="text" name="name" id="text_name" ng-model="name" placeholder="Enter your name" class="form-control" />
				<div>&nbsp;</div>
				<p id="nText" class="text-info">Your Name is <strong>{{ name }}</strong></p>
			</div>
			
         	<!-- EXAMPLE 2 -->
         	<h3 class="text-warning"><ins>ng-init</ins> &#38; <ins>ng-repeat</ins></h3>
         	<div id="init_repeat" ng-init="days=['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday']">
         		<h2 id="wText" class="text-secondary">7 Days of the Weeks</h2>				
				<ul class="list-group">
					<li class="list-group-item" ng-repeat="dname in days">{{ dname }}</li>
				</ul>
			</div>
			
			<!-- EXAMPLE 3 -->
			<h3 class="text-warning"><ins>ng-bind</ins></h3>
			<div id="bind">
				<input type="text" name="cname" id="country_name" ng-model="cname" placeholder="Enter country" class="form-control" />
				<div>&nbsp;</div>
				<p id="cText" class="text-info">Country name is <strong><span ng-bind="cname"></span></strong></p>
			</div>
			
			<!-- EXAMPLE 4 -->
			<h3 class="text-warning"><ins>ng-disabled</ins></h3>
			<div id="disabled" ng-init="switch=true">
				<button id="btn" class="btn btn-default" ng-disabled="switch">Click Me!</button>	
				<input type="checkbox" name="switch" id="checkBox" ng-model="switch" value="Button"/>
				<div>&nbsp;</div>
				<p id="dText" class="text-dark">Disabled - <strong>{{ switch }}</strong></p>
			</div>
         </div>
      </div>
   </body>
</html>